card_create:
  path: /cards
  controller: App\Controller\CardController::create
  methods: [ POST ]
  defaults:
    operation: card_create
    access: card_create_access

card_update:
  path: /cards/{externalIdentifier}
  controller: App\Controller\CardController::update
  methods: [ PUT ]
  defaults:
    operation: card_update
    access: card_create_access

card_status:
  path: /cards/{externalIdentifier}/status/{status}
  controller: App\Controller\CardController::status
  methods: [ PUT ]
  defaults:
    operation: card_status
    access: card_status_access

card_convert:
  path: /cards/{externalIdentifier}/convert
  controller: App\Controller\CardController::convert
  methods: [ PUT ]
  defaults:
    operation: card_convert
    access: card_convert_access

load_money:
  path: /cards/{externalIdentifier}/load
  controller: App\Controller\CardController::loadMoney
  methods: [ POST ]
  defaults:
    operation: load_money
    access: load_money_access

unload_money:
  path: /cards/{externalIdentifier}/unload
  controller: App\Controller\CardController::unloadMoney
  methods: [ POST ]
  defaults:
    operation: unload_money
    access: unload_money_access

void_load_unload_money:
  path: /cards/{externalIdentifier}/transactions/{externalTransactionIdentifier}
  controller: App\Controller\CardController::voidLoadUnload
  methods: [ DELETE ]
  defaults:
    operation: void_load_unload_money
    access: void_load_unload_money_access

transfer:
  path: /transfer
  controller: App\Controller\CardController::sendMoney
  methods: [ POST ]
  defaults:
    operation: send_money
    access: send_money_access

card_balance_get:
  path: /cards/{externalIdentifier}/balance
  controller: App\Controller\CardController::getBalance
  methods: [ GET, POST ]
  defaults:
    operation: balance
    access: balance_access

card_activate:
  path: /cards/{externalIdentifier}/activate
  controller: App\Controller\CardController::activate
  methods: [ PUT ]
  defaults:
    operation: activate_card
    access: activate_card_access

card_renew:
  path: /cards/{token}/renew
  controller: App\Controller\CardController::renew
  methods: [ PUT ]
  defaults:
    operation: renew_card
    access: renew_card_access

card_get:
  path: /cards/{token}
  controller: App\Controller\CardDetailsController::cardDetails
  methods: [ GET ]
  defaults:
    operation: get_card
    access: get_card_access

card_enquiry:
  path: /cards/{externalIdentifier}/enquiry
  controller: App\Controller\CardDetailsController::cardEnquiry
  methods: [ GET ]
  defaults:
    operation: card_enquiry
    access: get_card_access

card_limits_change:
  path: /cards/{externalIdentifier}/limits
  controller: App\Controller\CardController::limitsGroup
  methods: [ PUT ]
  defaults:
    operation: limits_change
    access: limits_change_access

card_expiry:
  path: /cards/{externalIdentifier}/expiry
  controller: App\Controller\CardController::expiry
  methods: [ PUT ]
  defaults:
    operation: expiry_change
    access: limits_change_access

card_image:
  path: /cards/{externalIdentifier}/image
  controller: App\Controller\CardController::cardImage
  methods: [ GET ]
  defaults:
    operation: card_image
    access: card_image_access
